Name: SmallEiffel
Version: 1.23.1
Release: 3mdk
Source: ftp://ftp.loria.fr/pub/loria/genielog/SmallEiffel/se.tar.bz2
Buildroot: /var/tmp/%{name}
Patch:  SmallEiffel-1.23.1-mdkpatch1.bz2
Copyright: GPL
URL: http://www.loria.fr/SmallEiffel
Packager: Enzo Maggi <enzo@mandrakesoft.com>
Group: Development/Other
Summary: The GNU Eiffel Compiler and Libraries
Prefix: /usr

%description
SmallEiffel is a small, portable implementation of the Eiffel OO programming 
language.  Eiffel cleanly implements all the important concepts of OO 
programming, including: multiple inheritance, genericity, polymorphism,
and encapsulation.  Eiffels unique feature is Design By Contract,
which increases the reusability and reliability of program modules.

This package corresponds to the official version -0.77 of SmallEiffel.

%changelog

* Mon Apr 10 2000 - Enzo Maggi <enzo@mandrakesoft.com> 1.23.1-3mdk
- Updated for SmallEiffel -0.77
- patched the contrib/edb scripts that required '/usr/local/bin/perl' 
- corrected Group 

* Sat Jun 5 1999 - James Graves <ansible@xnet.com>

- Updated for SmallEiffel -0.78.

* Fri May 19 1999 - James Graves <ansible@xnet.com>

- Updated for SmallEiffel -0.78b6.

* Fri Apr 30 1999 - James Graves <ansible@xnet.com>

- Updated for SmallEiffel -0.78b5.

* Fri Jul 10 1998 - James Graves <ansible@xnet.com>

- Updated for SmallEiffel -0.80.

* Fri Apr 10 1998 - James Graves <ansible@xnet.com>

- Updated for SmallEiffel -0.81.  Simplified installation script.

* Fri Jan 16 1998 - James Graves <ansible@xnet.com>

- Initial RPM, built against glibc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n SmallEiffel
%patch -p1 

%build

export SmallEiffel=$RPM_BUILD_DIR/SmallEiffel/sys/system.se
make

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
rm -f $RPM_BUILD_DIR/SmallEiffel/install.exe

cp -r $RPM_BUILD_DIR/SmallEiffel $RPM_BUILD_ROOT/usr/lib

%post
#put links in /usr/bin
ln -s $RPM_BUILD_ROOT/usr/lib/SmallEiffel/bin/compile  $RPM_BUILD_ROOT/usr/bin/compile
ln -s $RPM_BUILD_ROOT/usr/lib/SmallEiffel/bin/clean  $RPM_BUILD_ROOT/usr/bin/clean
ln -s $RPM_BUILD_ROOT/usr/lib/SmallEiffel/bin/compile_to_c  $RPM_BUILD_ROOT/usr/bin/compile_to_c
ln -s $RPM_BUILD_ROOT/usr/lib/SmallEiffel/bin/compile_to_jvm  $RPM_BUILD_ROOT/usr/bin/compile_to_jvm
ln -s $RPM_BUILD_ROOT/usr/lib/SmallEiffel/bin/finder  $RPM_BUILD_ROOT/usr/bin/finder
ln -s $RPM_BUILD_ROOT/usr/lib/SmallEiffel/bin/pretty  $RPM_BUILD_ROOT/usr/bin/pretty
ln -s $RPM_BUILD_ROOT/usr/lib/SmallEiffel/bin/print_jvm_class  $RPM_BUILD_ROOT/usr/bin/print_jvm_class
ln -s $RPM_BUILD_ROOT/usr/lib/SmallEiffel/bin/short  $RPM_BUILD_ROOT/usr/bin/short

#rebuild a correct loadpath.UNIX (better solutions?)
echo "./" > $RPM_BUILD_ROOT/usr/lib/SmallEiffel/sys/loadpath.UNIX
echo "/usr/lib/SmallEiffel/lib_std/" > $RPM_BUILD_ROOT/usr/lib/SmallEiffel/sys/loadpath.UNIX
echo "/usr/lib/SmallEiffel/lib_iterator/" >> $RPM_BUILD_ROOT/usr/lib/SmallEiffel/sys/loadpath.UNIX
echo "/usr/lib/SmallEiffel/lib_random/" >> $RPM_BUILD_ROOT/usr/lib/SmallEiffel/sys/loadpath.UNIX
echo "/usr/lib/SmallEiffel/lib_number/" >> $RPM_BUILD_ROOT/usr/lib/SmallEiffel/sys/loadpath.UNIX
echo "/usr/lib/SmallEiffel/lib_show/" >> $RPM_BUILD_ROOT/usr/lib/SmallEiffel/sys/loadpath.UNIX

%postun

# remove links from /usr/bin
rm -f /usr/bin/compile
rm -f /usr/bin/clean
rm -f /usr/bin/compile_to_c
rm -f /usr/bin/compile_to_jvm
rm -f /usr/bin/finder
rm -f /usr/bin/pretty
rm -f /usr/bin/print_jvm_class
rm -f /usr/bin/short

%clean

%files
%defattr(-, root, root)
%doc READ_ME COPYING GNU_LICENSE man misc
/usr/lib/SmallEiffel/bin
/usr/lib/SmallEiffel/contrib
/usr/lib/SmallEiffel/lib_iterator
/usr/lib/SmallEiffel/lib_number
/usr/lib/SmallEiffel/lib_random
/usr/lib/SmallEiffel/lib_se
/usr/lib/SmallEiffel/lib_show
/usr/lib/SmallEiffel/lib_std
/usr/lib/SmallEiffel/short
/usr/lib/SmallEiffel/sys
/usr/lib/SmallEiffel/man







